using System;
using System.Collections.Generic;
using System.Text;

namespace Miroslaw.APCF.Iface
{
    public abstract class FactoryAttribute : Attribute
    {
        public FactoryAttribute(Type t)
        {
            if (t == null)
                throw new ArgumentNullException("t");
            if (!typeof(IProductEditor).IsAssignableFrom(t))
                throw new ArgumentException("must be subclass of product");
        }

        public abstract IProductEditor CreateFactory();
    }
}
